Timekit developers

GET List all Locations

Lists all the locations

Endpoint

GET https://api.timekit.io/v2/locations

Parameters

Name In Type Required Default Description
search query string
include query string
name query string Partial match on the location name
service query string Only return locations that offer this service ID. Prefix the ID with ! to return locations that do not offer it

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/locations?include=projects&search=distance:2;latitude:42.51;longitude:1.54;name:CASSANY \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW

Response examples

200

json
{
    "current_page": 1,
    "first_page_url": "https://api.timekit.io/v2/locations?page=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "https://api.timekit.io/v2/locations?page=1",
    "next_page_url": null,
    "per_page": 50,
    "prev_page_url": null,
    "to": 1,
    "total": 1,
    "data": [
        {
            "meta": {
                "t_store_id": "",
                "t_latitude": "42.50798000",
                "t_longitude": "1.52480000",
                "t_store_city": "",
                "t_store_code": "",
                "t_store_name": "",
                "t_store_phone": "",
                "t_store_region": "",
                "t_store_address": "",
                "t_store_country": "",
                "t_store_timezone": "",
                "t_store_capacity": "",
                "t_store_disabled": "",
                "t_store_postal_code": "",
                "t_store_region_name": "",
                "t_store_country_name": ""
            },
            "id": "9632b315-7400-4059-8aed-1e3a1960355f",
            "name": "CASSANY",
            "description": "CASSANY",
            "latitude": 42.50798,
            "longitude": 1.5248,
            "use_custom_hours": true,
            "availability_constraints": [],
            "created_at": "2021-08-11T19:16:31+0000",
            "updated_at": "2021-08-11T19:16:31+0000",
            "distance": 1.27,
            "projects": []
        }
    ]
}
Last edited 6 October 2026.